Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225692 - Merge Review: dhcpv6
Summary: Merge Review: dhcpv6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 18:26 UTC by Nobody's working on this, feel free to take it
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 14:06:45 UTC
clumens: fedora-review+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 18:26:42 UTC
Fedora Merge Review: dhcpv6

http://cvs.fedora.redhat.com/viewcvs/devel/dhcpv6/
Initial Owner: dcantrell@redhat.com

Comment 1 Chris Lumens 2007-06-11 18:30:22 UTC
W: dhcpv6 prereq-use /sbin/chkconfig, /sbin/service
W: dhcpv6 macro-in-%changelog defattr

%preun and %postun should use the same form of test for whether to run or not.

%attr(750,root,root) %dir %{_localstatedir}/lib/dhcpv6 should use %{name}.

These should use %{_sysconfdir}/sysconfig/... :
%config(noreplace) /etc/sysconfig/dhcp6s
%config(noreplace) /etc/sysconfig/dhcp6r

These should use %{_initrddir}/... :
%attr(755,root,root) %config /etc/rc.d/init.d/dhcp6s
%attr(755,root,root) %config /etc/rc.d/init.d/dhcp6r

You use $RPM_BUILD_ROOT in %clean, but %{buildroot} everywhere else.

The static library needs to be in a dhcpv6-static package.

libdhcp6client-devel needs to Require: pkgconfig, %{name} = %{version}-%{release}.

Comment 2 David Cantrell 2007-06-11 18:55:05 UTC
I fixed the above blockers and spun my changes in to the devel branch.  Check
it, yo.

Comment 3 Chris Lumens 2007-06-11 19:04:16 UTC
You missed using %{name} in the files section for dhcpv6_client, but otherwise
everything else looks okay.

Also, %{_sysconfdir} expands to /etc only, not /etc/sysconfig.  So in the main
%files section, you still need to add sysconfig for the %config lines.

Comment 4 David Cantrell 2007-06-11 19:08:31 UTC
(In reply to comment #3)
> You missed using %{name} in the files section for dhcpv6_client, but otherwise
> everything else looks okay.

Fixed.

> Also, %{_sysconfdir} expands to /etc only, not /etc/sysconfig.  So in the main
> %files section, you still need to add sysconfig for the %config lines.

*sigh*.  Fixed.

Rebuilding.


Note You need to log in before you can comment on or make changes to this bug.